CS::RenderManager::AutoFX::ReflectRefract_Base::PersistentData Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CS::RenderManager::AutoFX::ReflectRefract_Base::PersistentData Struct Reference

Data used by the helper that needs to persist over multiple frames. More...

`#include <csplugincommon/rendermanager/autofx_reflrefr.h>`

List of all members.

## Public Member Functions
void | Initialize (iObjectRegistry *objReg, RenderTreeBase::DebugPersistent &dbgPersist, PostEffectManager *postEffects)
| Initialize helper.
| PersistentData ()
| Construct helper.
void | UpdateNewFrame ()
| Do per-frame house keeping - MUST be called every frame/ RenderView() execution.

## Detailed Description

Data used by the helper that needs to persist over multiple frames.

Render managers must store an instance of this class and provide it to the helper upon instantiation.

Definition at line 57 of file autofx_reflrefr.h.

## Constructor & Destructor Documentation

CS::RenderManager::AutoFX::ReflectRefract_Base::PersistentData::PersistentData | ( |  | ) |

Construct helper.

## Member Function Documentation

void CS::RenderManager::AutoFX::ReflectRefract_Base::PersistentData::Initialize | ( | iObjectRegistry * | objReg,
|  | RenderTreeBase::DebugPersistent & | dbgPersist,
|  | PostEffectManager * | postEffects
| ) |  |

Initialize helper.

Fetches various required values from objects in the object registry and reads configuration settings. Must be called when the RenderManager plugin is initialized. postEffects must be the post effects manager used by the render manager, if any, or 0.

void CS::RenderManager::AutoFX::ReflectRefract_Base::PersistentData::UpdateNewFrame | ( |  | ) |

Do per-frame house keeping - MUST be called every frame/ RenderView() execution.

The documentation for this struct was generated from the following file:

- csplugincommon/rendermanager/autofx_reflrefr.h